//
//	VidyoVideoFrame_Objc.h
//	VidyoClient
//
//	This file is auto generated, do not edit this file
//	Copyright (c) 2016 Vidyo, Inc. All rights reserved.
//

#import "VidyoMediaFormats_Objc.h"
@protocol VCVideoFrameIConstructFromKnownFormatWithExternalBuffer

	-(void) releaseCallback:(void*)buffer Size:(size_t)size;
@end
@interface VCVideoFrame : NSObject
{
	void* objPtr;
	@public
	id<VCVideoFrameIConstructFromKnownFormatWithExternalBuffer> videoFrameIConstructFromKnownFormatWithExternalBuffer;
}

	-(id) init:(VCMediaFormat)format Buffer:(unsigned char*)buffer Size:(unsigned int)size VideoFrameIConstructFromKnownFormatWithExternalBuffer:(id<VCVideoFrameIConstructFromKnownFormatWithExternalBuffer>)videoFrameIConstructFromKnownFormatWithExternalBuffer Width:(unsigned int)width Height:(unsigned int)height;
	-(void) dealloc;
	-(unsigned char*) getData;
	-(unsigned char*) getDataCb;
	-(unsigned char*) getDataCr;
	-(unsigned char*) getDataY;
	-(long) getElapsedTime;
	-(NSString*) getFormat;
	-(unsigned int) getHeight;
	-(unsigned int) getHeightCb;
	-(unsigned int) getHeightCr;
	-(unsigned int) getHeightY;
	-(unsigned int) getOffsetCb;
	-(unsigned int) getOffsetCr;
	-(unsigned int) getOffsetY;
	-(unsigned int) getPitchCb;
	-(unsigned int) getPitchCr;
	-(unsigned int) getPitchY;
	-(unsigned int) getSize;
	-(unsigned int) getSizeCb;
	-(unsigned int) getSizeCr;
	-(unsigned int) getSizeY;
	-(long) getTimestamp;
	-(unsigned int) getWidth;
	-(unsigned int) getWidthCb;
	-(unsigned int) getWidthCr;
	-(unsigned int) getWidthY;
	-(BOOL) setTimeProperties:(long)elapsedTime Timestamp:(long)timestamp;
	-(id) initWithObject:(void*)rPtr;
	-(void*)getObjectPtr;
@end
